BlackCdsOptionEngine Class Reference

Black-formula CDS-option engine. More...

`#include <ql/experimental/credit/blackcdsoptionengine.hpp>`

Inheritance diagram for BlackCdsOptionEngine:
[legend]

## Public Member Functions

| BlackCdsOptionEngine (const Handle< DefaultProbabilityTermStructure > &, Real recoveryRate, const Handle< YieldTermStructure > &termStructure, const Handle< Quote > &vol)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle< Quote > | volatility ()
Public Member Functions inherited from GenericEngine< CdsOption::arguments, CdsOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< CdsOption::arguments, CdsOption::results >
CdsOption::arguments | arguments_
CdsOption::results | results_

## Detailed Description

Black-formula CDS-option engine.

Warning:
  The engine assumes that the exercise date equals the start date of the passed CDS.